Skip to content

pdf_header_footer

Status: ✅ Verified | Format: PDF / OpenXML / Data

CLI

expressiveCode.terminalWindowFallbackTitle
paperpilot header-footer --input tests/e2e_fixtures/real/single_page.pdf --output tests/e2e_fixtures/out/penta_e2e_security/header_footer_cli_Simple.pdf --text HEADER --json

MCP JSON-RPC

{
"name": "pdf_header_footer",
"arguments": {
"input": "tests/e2e_fixtures/real/multi_page.pdf",
"text": "Confidential",
"output": "tests/e2e_fixtures/out/penta_e2e/header.pdf"
}
}

REST API

expressiveCode.terminalWindowFallbackTitle
curl -s -X POST http://127.0.0.1:7823/api/v1/pdf/header-footer -H 'Content-Type: application/json' -d '{"input": "tests/e2e_fixtures/real/multi_page.pdf", "text": "Confidential", "output": "tests/e2e_fixtures/out/penta_e2e/header.pdf"}'